ros-humble-depth-image-proc (3.0.9-1jammy) jammy; urgency=high

  * Update index.ros.org package website links (backport #1101 <https://github.com/ros-perception/image_pipeline//issues/1101>) (#1105 <https://github.com/ros-perception/image_pipeline//issues/1105>)
  * Contributors: mergify[bot]

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 08 Dec 2025 23:00:00 -0000

ros-humble-depth-image-proc (3.0.8-1jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 21 Apr 2025 22:00:00 -0000

ros-humble-depth-image-proc (3.0.7-1jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Feb 2025 23:00:00 -0000

ros-humble-depth-image-proc (3.0.6-1jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 19 Aug 2024 22:00:00 -0000

ros-humble-depth-image-proc (3.0.5-1jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 23 Jul 2024 22:00:00 -0000

ros-humble-depth-image-proc (3.0.4-1jammy) jammy; urgency=high

  * [backport humble] Fixed image types in depth_image_proc (#916 <https://github.com/ros-perception/image_pipeline/issues/916>)
    backport humble
    https://github.com/ros-perception/image_pipeline/pull/915#event-11585393591
  * Contributors: Alejandro Hernández Cordero

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 29 Feb 2024 23:00:00 -0000

ros-humble-depth-image-proc (3.0.3-1jammy) jammy; urgency=high

  * [backport humble] upport rgba8 and bgra8 encodings by skipping alpha channel (#869 <https://github.com/ros-perception/image_pipeline/issues/869>) (#895 <https://github.com/ros-perception/image_pipeline/issues/895>)
    backport #869 <https://github.com/ros-perception/image_pipeline/issues/869>
  * [backport humble] ROS 2: Add option to use the RGB image timestamp for the registered depth image (#872 <https://github.com/ros-perception/image_pipeline/issues/872>) (#893 <https://github.com/ros-perception/image_pipeline/issues/893>)
    backport #872 <https://github.com/ros-perception/image_pipeline/issues/872>
  * [backport Humble] Support MONO16 image encodings: point_cloud_xyz (#868 <https://github.com/ros-perception/image_pipeline/issues/868>) (#881 <https://github.com/ros-perception/image_pipeline/issues/881>)
    backport Humble #868 <https://github.com/ros-perception/image_pipeline/issues/868>
  * [backport humble] ROS 2: depth_image_proc/point_cloud_xyzi_radial Add intensity conversion (copy) for float (#867 <https://github.com/ros-perception/image_pipeline/issues/867>) (#879 <https://github.com/ros-perception/image_pipeline/issues/879>)
    backport #867 <https://github.com/ros-perception/image_pipeline/issues/867>
  * allow use as component or node (#859 <https://github.com/ros-perception/image_pipeline/issues/859>)
    backport #852 <https://github.com/ros-perception/image_pipeline/issues/852> to humble
  * Contributors: Alejandro Hernández Cordero, Michael Ferguson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 23 Jan 2022 23:00:00 -0000

ros-humble-depth-image-proc (3.0.2-1jammy) jammy; urgency=high

  * Depth image transport configure susbcribers (#844 <https://github.com/ros-perception/image_pipeline/issues/844>)
  * Contributors: Alejandro Hernández Cordero

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 16 Jan 2022 23:00:00 -0000

ros-humble-depth-image-proc (3.0.0-1jammy) jammy; urgency=high

  * Cleanup of depth_image_proc.
  * Fix linker error caused by templating in the conversions.cpp file (#718 <https://github.com/ros-perception/image_pipeline/issues/718>)
  * Port upsampling interpolation from #363 <https://github.com/ros-perception/image_pipeline/issues/363> to ROS2 (#692 <https://github.com/ros-perception/image_pipeline/issues/692>)
  * Fix uncrustify errors
  * allow loading depth_image_proc::RegisterNode as a component
  * Replace deprecated geometry2 headers
  * Fixed typo in pointcloudxyz launch file
  * use unique_ptrs, remove unused code, add back in missing initMatrix call
  * add xyzrgb radial node
  * Use RCLCPP_WARN_THROTTLE (10 secs) to avoid terminal spam
  * Fix tiny error in comment
  * Warning instead of fatal error when frames are differents
  * revert a293252
  * Replace deprecated geometry2 headers
  * Add maintainer (#667 <https://github.com/ros-perception/image_pipeline/issues/667>)
  * move to hpp/cpp structure, create conversions file
  * Fix deprecation warning calling declare_parameter
  * Contributors: Chris Lalancette, Evan Flynn, Francisco Martin Rico, Francisco Martín Rico, Harshal Deshpande, Jacob Perron, Joe Schornak, Joseph Schornak, Joshua Whitley, Patrick Musau

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 28 Apr 2022 22:00:00 -0000

ros-humble-depth-image-proc (2.2.1-1jammy) jammy; urgency=high

  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)
  * [Foxy] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>)
    * Fixing version and maintainer problems in camera_calibration.
    * Applying ament_auto macros to depth_image_proc.
    * Cleaning up package.xml in image_pipeline.
    * Applying ament_auto macros to image_proc.
    * Applying ament_auto macros to image_publisher.
    * Applying ament_auto macros to image_rotate.
    * Applying ament_auto macros to image_view.
    * Replacing some deprecated headers in image_view.
    * Fixing some build warnings in image_view.
    * Applying ament_auto macros to stereo_image_proc.
    * Adding some linter tests to image_pipeline.
    * Updating package URLs to point to ROS Index.
  * Add rclcpp and rclcpp_components dependencies to package.xml. (#569 <https://github.com/ros-perception/image_pipeline/issues/569>) (#570 <https://github.com/ros-perception/image_pipeline/issues/570>)
    I noticed that these are listed in CMakeLists.txt but not in package.xml
    and this is causing a build failure for the binary releases on
    build.ros2.org:
    http://build.ros2.org/view/Dbin_ubhf_uBhf/job/Dbin_uB64__depth_image_proc__ubuntu_bionic_amd64__binary/
    Co-authored-by: Steven! Ragnarök <mailto:nuclearsandwich@users.noreply.github.com>
  * Contributors: Joshua Whitley, Steve Macenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Aug 2020 22:00:00 -0000

ros-humble-depth-image-proc (2.2.0-1jammy) jammy; urgency=high

  * Replacing deprecated header includes with new HPP versions. (#566 <https://github.com/ros-perception/image_pipeline/issues/566>)
    * Replacing deprecated header includes with new HPP versions.
    * CI: Switching to official Foxy Docker container.
    * Fixing headers which don't work correctly.
  * Contributors: Joshua Whitley
  * make parameters work in depth_image_proc (#544 <https://github.com/ros-perception/image_pipeline/issues/544>)
  * update depth_image_proc components (#543 <https://github.com/ros-perception/image_pipeline/issues/543>)
    * update depth_image_proc components
    This makes them loadable with the rclcpp_components
    interface. I've fully tested PointCloudXYZRGB and
    ConvertMetric, my use case doesn't use the others.
    I also lack a setup to test the launch files fully,
    but ran them with the realsense commented out and
    they appear to be OK.
    * fix linting
  * Contributors: Michael Ferguson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 Jul 2020 22:00:00 -0000

ros-humble-depth-image-proc (2.0.0-1jammy) jammy; urgency=high

  * enable rclcpp_register_node_plugins (#368 <https://github.com/ros-perception/image_pipeline/issues/368>)
  * Port depth image proc on ROS2 (#362 <https://github.com/ros-perception/image_pipeline/issues/362>)
  * Initial ROS2 commit.
  * Contributors: Chris Ye, Michael Carroll

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 08 Dec 2018 23:00:00 -0000

ros-humble-depth-image-proc (1.12.23-1jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 May 2018 22:00:00 -0000

ros-humble-depth-image-proc (1.12.22-1jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 07 Dec 2017 23:00:00 -0000

ros-humble-depth-image-proc (1.12.21-1jammy) jammy; urgency=high

  * Fix C++11 compilation
    This fixes #292 <https://github.com/ros-perception/image_pipeline/issues/292> and #291 <https://github.com/ros-perception/image_pipeline/issues/291>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 23:00:00 -0000

ros-humble-depth-image-proc (1.12.20-1jammy) jammy; urgency=high

  * Fix CMake warnings about Eigen.
  * Convert depth image metric from [m] to [mm]
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Kentaro Wada, Lukas Bulwahn, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 29 Apr 2017 22:00:00 -0000

ros-humble-depth-image-proc (1.12.19-1jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Jul 2016 22:00:00 -0000

ros-humble-depth-image-proc (1.12.18-1jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 22:00:00 -0000

ros-humble-depth-image-proc (1.12.17-1jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 10 Jul 2016 22:00:00 -0000

ros-humble-depth-image-proc (1.12.16-1jammy) jammy; urgency=high

  * check number of channels before the process
  * search minimum value with OpenCV
  * Use OpenCV to be faster
  * Add a feature for a depth image to crop foremost image
  * Contributors: Kenta Yonekura

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 18 Mar 2016 23:00:00 -0000

ros-humble-depth-image-proc (1.12.15-1jammy) jammy; urgency=high

  * Add option for exact time sync for point_cloud_xyzrgb
  * simplify OpenCV3 conversion
  * Contributors: Kentaro Wada, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 16 Jan 2016 23:00:00 -0000

ros-humble-depth-image-proc (1.12.14-1jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 21 Jul 2015 22:00:00 -0000

ros-humble-depth-image-proc (1.12.13-1jammy) jammy; urgency=high

  * Add radial point cloud processors
  * Contributors: Hunter Laux

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Apr 2015 22:00:00 -0000

ros-humble-depth-image-proc (1.12.12-1jammy) jammy; urgency=high

  * adds range_max
  * exports depth_conversions
    with convert for xyz PC only
  * exports DepthTraits
  * Contributors: enriquefernandez

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 30 Dec 2014 23:00:00 -0000

ros-humble-depth-image-proc (1.12.11-1jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 25 Oct 2014 22:00:00 -0000

ros-humble-depth-image-proc (1.12.10-1jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 27 Sep 2014 22:00:00 -0000

ros-humble-depth-image-proc (1.12.9-1jammy) jammy; urgency=high

  * get code to compile with OpenCV3
    fixes #96 <https://github.com/ros-perception/image_pipeline/issues/96>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 20 Sep 2014 22:00:00 -0000

ros-humble-depth-image-proc (1.12.8-1jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 Aug 2014 22:00:00 -0000

ros-humble-depth-image-proc (1.12.6-1jammy) jammy; urgency=high

  * Add point_cloud_xyzi nodelet
    This is for cameras that output depth and intensity images.
    It's based on the point_cloud_xyzrgb nodelet.
  * Missing runtime dependency - eigen_conversions
    libdepth_image_proc is missing this dependency at runtime
    ```
    > ldd libdepth_image_proc.so  | grep eigen
    libeigen_conversions.so => not found
    ```
    Which causes the following error on loading depth_image_proc:
    ```
    [ INFO] [1402564815.530736554]: /camera/rgb/camera_info -> /camera/rgb/camera_info
    [ERROR] [1402564815.727176562]: Failed to load nodelet [/camera/depth_metric_rect] of type
    [depth_image_proc/convert_metric]: Failed to load library /opt/ros/indigo/lib//libdepth_image_proc.so.
    Make sure that you are calling the PLUGINLIB_EXPORT_CLASS macro in the library code, and that
    names are consistent between this macro and your XML. Error string: Could not load library (Poco
    exception = libeigen_conversions.so: cannot open shared object file: No such file or directory)
    [FATAL] [1402564815.727410623]: Service call failed!
    ```
  * Contributors: Daniel Stonier, Hunter Laux

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 26 Jul 2014 22:00:00 -0000

ros-humble-depth-image-proc (1.12.4-1jammy) jammy; urgency=high

  * depth_image_proc: fix missing symbols in nodelets
  * Contributors: Michael Ferguson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 27 Apr 2014 22:00:00 -0000

ros-humble-depth-image-proc (1.12.3-1jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 11 Apr 2014 22:00:00 -0000

ros-humble-depth-image-proc (1.12.2-1jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 07 Apr 2014 22:00:00 -0000

ros-humble-depth-image-proc (1.12.1-1jammy) jammy; urgency=high

  * replace tf usage by tf2 usage

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 05 Apr 2014 22:00:00 -0000

ros-humble-depth-image-proc (1.12.0-1jammy) jammy; urgency=high

  * remove PCL dependency

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 03 Apr 2014 22:00:00 -0000


